## Class impl_inc

boost::log::attributes::counter::impl_inc

## Synopsis

    // In header: <boost/log/attributes/counter.hpp>

    class impl_inc : public counter< T >::impl {
    public:
      // construct/copy/destruct
      explicit impl_inc(value_type);

      // public member functions
      attribute_value get_value();
    };

## Description

### `impl_inc` public construct/copy/destruct

1.     explicit impl_inc(value_type initial);

   Initializing constructor

### `impl_inc` public member functions

1.     attribute_value get_value();